/*
 *	spCanvas_Gtk.h
 */

#ifndef __SPCANVAS_GTK_H
#define __SPCANVAS_GTK_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _spCanvasArchPart {
    GtkAdjustment *h_adjustment;
    GtkAdjustment *v_adjustment;
#if GTK_CHECK_VERSION(3,0,0)
    cairo_t *draw_cr;
    spBool wait_refresh;
    spBool in_draw_func;
    spBool skip_draw_func;
#endif
} spCanvasArchPart;

#if GTK_CHECK_VERSION(3,0,0)
extern spBool spRefreshCanvasGtk(spComponent component, cairo_t *cr);
#endif
extern spBool spUpdateScrollCanvasContentSizeGtk(spComponent component);

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPCANVAS_GTK_H */
