/*
 *	spDialog_Gtk.h
 */

#ifndef __SPDIALOG_GTK_H
#define __SPDIALOG_GTK_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

#if GTK_CHECK_VERSION(3,10,0)
#define SP_GTK_APPLY_ID "_Apply"
#define SP_GTK_CANCEL_ID "_Cancel"
#define SP_GTK_OPEN_ID "_Open"
#define SP_GTK_SAVE_ID "_Save"
#else
#define SP_GTK_APPLY_ID GTK_STOCK_APPLY
#define SP_GTK_CANCEL_ID GTK_STOCK_CANCEL
#define SP_GTK_OPEN_ID GTK_STOCK_OPEN
#define SP_GTK_SAVE_ID GTK_STOCK_SAVE
#endif

typedef struct _spDialogArchPart {
    spComponent file_type_field;
} spDialogArchPart;

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPDIALOG_GTK_H */
