/*
 *	spText_Gtk.h
 */

#ifndef __SPTEXT_GTK_H
#define __SPTEXT_GTK_H

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _spTextArchPart {
    GtkWidget *vscroll_bar;
    GtkWidget *hscroll_bar;
#if GTK_CHECK_VERSION(2,0,0)
    PangoFontDescription *font_desc;
#else
    GdkFont *font;
#endif
    spBool suspend_callback;
} spTextArchPart;

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPTEXT_GTK_H */
